<template>
    <div class="product">
        <div class="thumb">
            <a href="#">
                <img class="img-fluid" src="@/assets/images/product/p1.jpg" alt="">
            </a>
            <div class="sale">{{ product.sale * 100 }}%</div>
        </div>
        <div class="ct">
            <div class="name">
                <a href="#">{{ product.name }}</a>
            </div>
            <div class="price">
                <div class="new">{{ finalPrice }}$</div>
                <div class="old">{{ product.price }} $</div>
            </div>
            <div class="desc">
                Lorem ipsum dolor, sit amet consectetur adipisicing elit. Repellat quisquam consequatur vel itaque soluta velit debitis laudantium totam. Quod ea numquam qui blanditiis repudiandae illum nemo voluptate rem facilis reiciendis.
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'Product',
        data(){
            return {
                
            }
        },
        props: {
            product: Object,
            default: null
        },
        computed: {
            finalPrice(){
                var price = this.product.price;
                var sale = this.product.sale;
                return price - price * sale;
            }
        }
    }
</script>

<style scoped>

</style>